#ifndef __FLATBAR_H__
#define __FLATBAR_H__

class CFlatToolBar : public CToolBar 
{
public:
  CFlatToolBar() { m_bFlat = FALSE; };

  void ShowFlat(BOOL bFlat);
  BOOL IsFlat() const { return m_bFlat; };
  BOOL IsAvailable();

protected:
	DECLARE_DYNAMIC(CFlatToolBar);

	void RepaintBackground();
	void DrawSeparators();
	void DrawSeparators(CClientDC* pDC);
	void DrawGripper(CWindowDC *pDC, CRect& rectWindow);
	void EraseNonClient();

	//{{AFX_VIRTUAL(CFlatToolBar)
	virtual void OnUpdateCmdUI(CFrameWnd* pTarget, BOOL bDisableIfNoHndler);
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CFlatToolBar)
	afx_msg void OnWindowPosChanging(LPWINDOWPOS lpWndPos);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnNcPaint();
	//}}AFX_MSG
  //afx_msg void OnContextMenu(CWnd*, CPoint point);
	DECLARE_MESSAGE_MAP();

  BOOL m_bFlat;
};


#endif //__FLATBAR_H__