#ifndef __TESTGPSDLG_H__
#define __TESTGPSDLG_H__

#include <gps.h>

class CTestGPSDlg : public CDialog
{
public:
	CTestGPSDlg(CWnd* pParent = NULL);	// standard constructor

	//{{AFX_DATA(CTestGPSDlg)
	enum { IDD = IDD_TESTGPS_DIALOG };
	CStatic	m_ctrlSpeed;
	CStatic	m_ctrlTime;
	CStatic	m_ctrlSatellites;
	CStatic	m_ctrlQuality;
	CStatic	m_ctrlLongitude;
	CStatic	m_ctrlLatitude;
	CStatic	m_ctrlBearing;
	CStatic	m_ctrlAltitude;
	CButton	m_ctrlOpen;
	CButton	m_ctrlClose;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CTestGPSDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;
  UINT m_nTimerID;
  HGPS m_hGps;

  void EnableGpsPositionControl(BOOL bEnable);

	//{{AFX_MSG(CTestGPSDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnShowSetup();
	afx_msg void OnGpsClose();
	afx_msg void OnGpsOpen();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif //__TESTGPSDLG_H__
